Skip to main content
GET
/
v1
/
master-wallets
/
{masterId}
Get single master wallet
curl --request GET \
  --url https://api.xentfi.com/v1/master-wallets/{masterId} \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "walletAddress": "<string>",
    "network": "<string>",
    "blockchain": {
      "id": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
      "name": "Base",
      "slug": "base-mainnet",
      "symbol": "ETH",
      "isActive": true,
      "isEvmCompatible": true,
      "configurations": null,
      "chainId": 8453,
      "logoUrl": "https://example.com/base-logo.png",
      "tokenStandard": "ERC20",
      "createdAt": "2023-04-28T14:44:06.397Z",
      "updatedAt": "2024-11-26T15:26:18.785Z"
    },
    "configurations": {
      "aml": {
        "message": "<string>",
        "provider": "<string>",
        "status": "<string>"
      },
      "enableGaslessWithdraw": true,
      "enableMultiChain": true,
      "autoSweep": {
        "enabled": true,
        "threshold": "<string>",
        "destinationAddress": "<string>"
      },
      "security": {
        "requireApprovalForTransfers": true,
        "maxTransferAmount": "<string>",
        "allowedRecipients": [
          "<string>"
        ]
      },
      "monitoring": {
        "enableBalanceTracking": true,
        "enableTransactionTracking": true,
        "alertOnLargeTransfers": "<string>"
      }
    },
    "metadata": {},
    "analytics": {
      "addressesCount": 123,
      "autoSettlementRulesCount": 123,
      "paymentLinksCount": 123
    },
    "isActive": true,
    "enabledBlockchains": [
      {
        "id": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
        "name": "Base",
        "slug": "base-mainnet",
        "symbol": "ETH",
        "isActive": true,
        "isEvmCompatible": true,
        "configurations": null,
        "chainId": 8453,
        "logoUrl": "https://example.com/base-logo.png",
        "tokenStandard": "ERC20",
        "createdAt": "2023-04-28T14:44:06.397Z",
        "updatedAt": "2024-11-26T15:26:18.785Z"
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

masterId
string
required

Response

Master wallet details

data
object